> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# NFT Tokens by Wallet

> This API returns all NFT tokens that belong to a given user.

Note: The `limit` parameter varies by chain.

| Chain     | Limit |
| :-------- | :---- |
| ethereum  | 200   |
| abstract  | 200   |
| apechain  | 200   |
| arbitrum  | 200   |
| avalanche | 200   |
| base      | 200   |
| berachain | 200   |
| bsc       | 200   |
| monad     | 200   |
| polygon   | 200   |
| sei       | 200   |
| solana    | 200   |
| linea     | 50    |


## OpenAPI

````yaml _openapi/nft-api.json GET /api/v1/developer/nfts/users/{chain}/{address}/tokens
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/developer/nfts/users/{chain}/{address}/tokens:
    get:
      tags:
        - NFTS
        - DEVELOPER
      summary: NFT Tokens by User
      description: This API returns all NFT tokens that belong to a given user.
      operationId: get_user_tokens_api_v1_developer_nfts_users__chain___address__tokens_get
      parameters:
        - name: chain
          in: path
          required: true
          schema:
            enum:
              - ethereum
              - abstract
              - apechain
              - arbitrum
              - avalanche
              - base
              - berachain
              - bsc
              - monad
              - polygon
              - sei
              - solana
              - linea
            type: string
            title: Chain
        - name: address
          in: path
          required: true
          schema:
            type: string
            title: Address
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Number of items to return in a response
            default: 20
            title: Limit
          description: Number of items to return in a response
        - name: cursor
          in: query
          required: false
          schema:
            description: >-
              Use the cursor value returned from the response to fetch the next
              page of results
            title: Cursor
            type: string
          description: >-
            Use the cursor value returned from the response to fetch the next
            page of results
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEnvelopeMultiItems_NftToken_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    ResponseEnvelopeMultiItems_NftToken_:
      properties:
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/NftToken'
              type: array
            - type: 'null'
          title: Items
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      title: ResponseEnvelopeMultiItems[NftToken]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NftToken:
      properties:
        address:
          type: string
          title: Address
        token_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Id
        token_standard:
          anyOf:
            - $ref: '#/components/schemas/TokenStandard'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        metadata:
          anyOf:
            - $ref: '#/components/schemas/NftTokenMetadata'
            - type: 'null'
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        media_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Media Url
        external_url:
          anyOf:
            - type: string
            - type: 'null'
          title: External Url
        attributes:
          anyOf:
            - items:
                $ref: '#/components/schemas/NftTokenAttribute'
              type: array
            - type: 'null'
          title: Attributes
        token_account_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Account Address
        creators:
          anyOf:
            - items:
                $ref: '#/components/schemas/SolanaCreator'
              type: array
            - type: 'null'
          title: Creators
        collection_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Collection Name
        collection_symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Collection Symbol
        collection_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Collection Count
        collection_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Collection Image Url
        onchain_collection_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Onchain Collection Address
        floor_price:
          anyOf:
            - $ref: '#/components/schemas/NftPrice'
            - type: 'null'
        last_sale_price:
          anyOf:
            - $ref: '#/components/schemas/NftPrice'
            - type: 'null'
        highest_bid_price:
          anyOf:
            - $ref: '#/components/schemas/NftPrice'
            - type: 'null'
        rarity:
          anyOf:
            - $ref: '#/components/schemas/NftTokenRarity'
            - type: 'null'
      type: object
      required:
        - address
      title: NftToken
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TokenStandard:
      type: string
      enum:
        - NFT
        - FUNGIBLE
        - SEMI_FUNGIBLE
        - COMPRESSED_NFT
        - PROGRAMMABLE_NFT
        - UNKNOWN
      title: TokenStandard
    NftTokenMetadata:
      properties:
        image_original:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Original
        media_original:
          anyOf:
            - type: string
            - type: 'null'
          title: Media Original
        image_mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Mime Type
        token_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Uri
      type: object
      title: NftTokenMetadata
    NftTokenAttribute:
      properties:
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: 'null'
          title: Value
      type: object
      title: NftTokenAttribute
    SolanaCreator:
      properties:
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        share:
          anyOf:
            - type: integer
            - type: 'null'
          title: Share
        verified:
          anyOf:
            - type: integer
            - type: 'null'
          title: Verified
      type: object
      title: SolanaCreator
    NftPrice:
      properties:
        asset:
          $ref: '#/components/schemas/BaseAssetDetail'
        amount:
          $ref: '#/components/schemas/AssetAmount'
      type: object
      required:
        - asset
        - amount
      title: NftPrice
    NftTokenRarity:
      properties:
        ranking:
          anyOf:
            - $ref: '#/components/schemas/NftTokenRanking'
            - type: 'null'
        metadata:
          anyOf:
            - $ref: '#/components/schemas/NftTokenRankingSourceMetadata'
            - type: 'null'
      type: object
      title: NftTokenRarity
    BaseAssetDetail:
      properties:
        type:
          anyOf:
            - type: string
              enum:
                - native
                - evm_erc20
                - evm_erc721
                - evm_erc1155
                - sol_spl
                - sol_nft
                - btc_inscription
                - btc_brc20
                - btc_rune
                - sui_token
            - type: 'null'
          title: Type
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol
        decimals:
          anyOf:
            - type: integer
            - type: 'null'
          title: Decimals
        token_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Id
      type: object
      required:
        - type
      title: BaseAssetDetail
    AssetAmount:
      properties:
        raw_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Raw Amount
        amount_str:
          anyOf:
            - type: string
            - type: 'null'
          title: Amount Str
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
      type: object
      required:
        - raw_amount
      title: AssetAmount
    NftTokenRanking:
      properties:
        source:
          $ref: '#/components/schemas/NftTokenRankingSource'
        value:
          type: integer
          title: Value
      type: object
      required:
        - source
        - value
      title: NftTokenRanking
    NftTokenRankingSourceMetadata:
      properties:
        magic_eden_instant:
          anyOf:
            - $ref: '#/components/schemas/MagicEdenInstantRank'
            - type: 'null'
        howrare:
          anyOf:
            - $ref: '#/components/schemas/HowrareRank'
            - type: 'null'
        moonrank:
          anyOf:
            - $ref: '#/components/schemas/MoonrankRank'
            - type: 'null'
      type: object
      title: NftTokenRankingSourceMetadata
    NftTokenRankingSource:
      type: string
      enum:
        - magic_eden_instant
        - howrare
        - moonrank
        - element
      title: NftTokenRankingSource
    MagicEdenInstantRank:
      properties:
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
      type: object
      title: MagicEdenInstantRank
    HowrareRank:
      properties:
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
      type: object
      title: HowrareRank
    MoonrankRank:
      properties:
        rank:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rank
      type: object
      title: MoonrankRank
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````